<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_aa7e860da1acd4e767e0df9d7d4073" . "80" => base64_decode("ZGF0ZV9" . "jcmVhdG" . "Vk"), "user_" . "id" => base64_decode("dXNlc" . "l9pZA" . "=="), "ke" . "yw" . "or" . "ds" => base64_decode("a2V" . "5d2" . "9yZ" . "HM="), "_c261da155a5" . "b4c08fbbfc94" . "c9c7a9d5f" => base64_decode("ZW1wdHlfc" . "2VhcmNo"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c261da155a5b4c08fbbfc94c9c7a9" . "d5f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["use" . "r_i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_aa7e860da1acd4e767e0df9d7d" . "407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["keywo" . "rds"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["user_" . "id"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_aa7e860da1ac" . "d4e767e0df9d7" . "d407380"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["keywo" . "rds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_aa7e860da1acd4e767e0d" . "f9d7d407380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["keywor" . "ds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}